<!DOCTYPE html>
<html class="" lang="en">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<link href="https://assets.gitlab-static.net" rel="dns-prefetch">
<link crossorigin="" href="https://assets.gitlab-static.net" rel="preconnnect">
<meta content="IE=edge" http-equiv="X-UA-Compatible">
<meta content="object" property="og:type">
<meta content="GitLab" property="og:site_name">
<meta content="Enable interactive web terminal for GitLab.com (#56073) · Issues · GitLab.org / GitLab FOSS" property="og:title">
<meta content="### Problem to solve We have support for docker executor for [web terminals](https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav) and we should enable it on GitLab.com since it&#39;s a core feature. ### Further details This will..." property="og:description">
<meta content="/uploads/-/system/project/avatar/13083/logo-extra-whitespace.png" property="og:image">
<meta content="64" property="og:image:width">
<meta content="64" property="og:image:height">
<meta content="https://gitlab.com/gitlab-org/gitlab-foss/-/issues/56073" property="og:url">
<meta content="summary" property="twitter:card">
<meta content="Enable interactive web terminal for GitLab.com (#56073) · Issues · GitLab.org / GitLab FOSS" property="twitter:title">
<meta content="### Problem to solve We have support for docker executor for [web terminals](https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav) and we should enable it on GitLab.com since it&#39;s a core feature. ### Further details This will..." property="twitter:description">
<meta content="/uploads/-/system/project/avatar/13083/logo-extra-whitespace.png" property="twitter:image">
<meta property="twitter:label1" content="Author" /><meta property="twitter:data1" content="Jason Yavorska" />
<title>Enable interactive web terminal for GitLab.com (#56073) · Issues · GitLab.org / GitLab FOSS · GitLab</title>
<meta content="### Problem to solve We have support for docker executor for [web terminals](https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav) and we should enable it on GitLab.com since it&#39;s a core feature. ### Further details This will..." name="description">
<link rel="shortcut icon" type="image/png" href="https://gitlab.com/assets/favicon-yellow-bef6823e78fa007bd8a5fd5f432d3e1487e0bd6631717726b5029997f32cecfc.png" id="favicon" data-original-href="https://gitlab.com/assets/favicon-yellow-bef6823e78fa007bd8a5fd5f432d3e1487e0bd6631717726b5029997f32cecfc.png" />
<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/application-f6593e4dee4565ff82f3af323cd221d52ccdef896072f9bb4f5ade1ecfd7b5e2.css" />
<link rel="stylesheet" media="print" href="https://assets.gitlab-static.net/assets/print-74c3df10dad473d66660c828e3aa54ca3bfeac6d8bb708643331403fe7211e60.css" />


<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/highlight/themes/white-a20fa0d18cb98944b079c02ad5a6f46cb362f986ffd703fda24b3e8e2a4a8874.css" />
<script nonce="9KgNL03XSmHrL+Aw7FjMyA==">
//<![CDATA[
window.gon={};gon.features={"scopedLabels":true,"vueIssuableSidebar":false,"saveIssuableHealthStatus":true,"sortDiscussions":false};
//]]>
</script>

<script src="https://assets.gitlab-static.net/assets/webpack/runtime.d44254e3.bundle.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/main.30fb3353.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/sentry.9ad39fdf.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.clusters~pages.admin.clusters.destroy~pages.admin.clusters.edit~pages.admin.clus~a979c9a8.5fff157e.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.audit_logs~pages.admin.impersonation_tokens~pages.analytics.cycle_analytics~page~13210ccd.d37ef2e0.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/pages.projects.issues.show.ebef1c44.chunk.js" defer="defer"></script>

<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="Xu3ORV96a5m4Z4yMXqDdDy1c4xuKh+NFaiT3AJNf5SfBK0nHHGhFEpYQYdubhuQ8NIL2R+mvwbkiEDitv1fawA==" />
<meta name="csp-nonce" content="9KgNL03XSmHrL+Aw7FjMyA==" />
<meta content="origin-when-cross-origin" name="referrer">
<meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
<meta content="#474D57" name="theme-color">
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-5a9cee0e8a51212e70b90c87c12f382c428870c0ff67d1eb034d884b78d2dae7.png" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-a6eec6aeb9da138e507593b464fdac213047e49d3093fc30e90d9a995df83ba3.png" sizes="76x76" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-retina-72e2aadf86513a56e050e7f0f2355deaa19cc17ed97bbe5147847f2748e5a3e3.png" sizes="120x120" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-retina-8ebe416f5313483d9c1bc772b5bbe03ecad52a54eba443e5215a22caed2a16a2.png" sizes="152x152" />
<link color="rgb(226, 67, 41)" href="https://assets.gitlab-static.net/assets/logo-d36b5212042cebc89b96df4bf6ac24e43db316143e89926c0db839ff694d2de4.svg" rel="mask-icon">
<meta content="https://assets.gitlab-static.net/assets/msapplication-tile-1196ec67452f618d39cdd85e2e3a542f76574c071051ae7effbfde01710eb17d.png" name="msapplication-TileImage">
<meta content="#30353E" name="msapplication-TileColor">



<script nonce="9KgNL03XSmHrL+Aw7FjMyA==">
//<![CDATA[
;(function(p,l,o,w,i,n,g){if(!p[i]){p.GlobalSnowplowNamespace=p.GlobalSnowplowNamespace||[];
p.GlobalSnowplowNamespace.push(i);p[i]=function(){(p[i].q=p[i].q||[]).push(arguments)
};p[i].q=p[i].q||[];n=l.createElement(o);g=l.getElementsByTagName(o)[0];n.async=1;
n.src=w;g.parentNode.insertBefore(n,g)}}(window,document,"script","https://assets.gitlab-static.net/assets/snowplow/sp-e10fd598642f1a4dd3e9e0e026f6a1ffa3c31b8a40efd92db3f92d32873baed6.js","snowplow"));

window.snowplowOptions = {"namespace":"gl","hostname":"snowplow.trx.gitlab.net","cookieDomain":".gitlab.com","appId":"gitlab","formTracking":true,"linkClickTracking":true,"igluRegistryUrl":null}


//]]>
</script>
</head>

<body class="ui-indigo tab-width-8  gl-browser-generic gl-platform-other" data-find-file="/gitlab-org/gitlab-foss/-/find_file/master" data-group="" data-namespace-id="9970" data-page="projects:issues:show" data-page-type-id="56073" data-project="gitlab-foss" data-project-id="13083">
<script nonce="9KgNL03XSmHrL+Aw7FjMyA==">
//<![CDATA[
gl = window.gl || {};
gl.GfmAutoComplete = gl.GfmAutoComplete || {};
gl.GfmAutoComplete.dataSources = {"epics":"/gitlab-org/gitlab-foss/-/autocomplete_sources/epics","members":"/gitlab-org/gitlab-foss/-/autocomplete_sources/members?type=Issue\u0026type_id=56073","issues":"/gitlab-org/gitlab-foss/-/autocomplete_sources/issues","mergeRequests":"/gitlab-org/gitlab-foss/-/autocomplete_sources/merge_requests","labels":"/gitlab-org/gitlab-foss/-/autocomplete_sources/labels?type=Issue\u0026type_id=56073","milestones":"/gitlab-org/gitlab-foss/-/autocomplete_sources/milestones","commands":"/gitlab-org/gitlab-foss/-/autocomplete_sources/commands?type=Issue\u0026type_id=56073","snippets":"/gitlab-org/gitlab-foss/-/autocomplete_sources/snippets"};


//]]>
</script>
<script nonce="9KgNL03XSmHrL+Aw7FjMyA==">
//<![CDATA[
gl = window.gl || {};
gl.client = {"isGeneric":true,"isOther":true};


//]]>
</script>


<header class="navbar navbar-gitlab navbar-expand-sm js-navbar" data-qa-selector="navbar">
<a class="sr-only gl-accessibility" href="#content-body" tabindex="1">Skip to content</a>
<div class="container-fluid">
<div class="header-content">
<div class="title-container">
<h1 class="title">
<a title="Dashboard" id="logo" href="/"><svg width="24" height="24" class="tanuki-logo" viewBox="0 0 36 36">
  <path class="tanuki-shape tanuki-left-ear" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"/>
  <path class="tanuki-shape tanuki-right-ear" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"/>
  <path class="tanuki-shape tanuki-nose" fill="#e24329" d="M18,34.38 3,14 33,14 Z"/>
  <path class="tanuki-shape tanuki-left-eye" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"/>
  <path class="tanuki-shape tanuki-right-eye" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"/>
  <path class="tanuki-shape tanuki-left-cheek" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"/>
  <path class="tanuki-shape tanuki-right-cheek" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"/>
</svg>

<span class="logo-text d-none d-lg-block prepend-left-8">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 617 169"><path d="M315.26 2.97h-21.8l.1 162.5h88.3v-20.1h-66.5l-.1-142.4M465.89 136.95c-5.5 5.7-14.6 11.4-27 11.4-16.6 0-23.3-8.2-23.3-18.9 0-16.1 11.2-23.8 35-23.8 4.5 0 11.7.5 15.4 1.2v30.1h-.1m-22.6-98.5c-17.6 0-33.8 6.2-46.4 16.7l7.7 13.4c8.9-5.2 19.8-10.4 35.5-10.4 17.9 0 25.8 9.2 25.8 24.6v7.9c-3.5-.7-10.7-1.2-15.1-1.2-38.2 0-57.6 13.4-57.6 41.4 0 25.1 15.4 37.7 38.7 37.7 15.7 0 30.8-7.2 36-18.9l4 15.9h15.4v-83.2c-.1-26.3-11.5-43.9-44-43.9M557.63 149.1c-8.2 0-15.4-1-20.8-3.5V70.5c7.4-6.2 16.6-10.7 28.3-10.7 21.1 0 29.2 14.9 29.2 39 0 34.2-13.1 50.3-36.7 50.3m9.2-110.6c-19.5 0-30 13.3-30 13.3v-21l-.1-27.8h-21.3l.1 158.5c10.7 4.5 25.3 6.9 41.2 6.9 40.7 0 60.3-26 60.3-70.9-.1-35.5-18.2-59-50.2-59M77.9 20.6c19.3 0 31.8 6.4 39.9 12.9l9.4-16.3C114.5 6 97.3 0 78.9 0 32.5 0 0 28.3 0 85.4c0 59.8 35.1 83.1 75.2 83.1 20.1 0 37.2-4.7 48.4-9.4l-.5-63.9V75.1H63.6v20.1h38l.5 48.5c-5 2.5-13.6 4.5-25.3 4.5-32.2 0-53.8-20.3-53.8-63-.1-43.5 22.2-64.6 54.9-64.6M231.43 2.95h-21.3l.1 27.3v94.3c0 26.3 11.4 43.9 43.9 43.9 4.5 0 8.9-.4 13.1-1.2v-19.1c-3.1.5-6.4.7-9.9.7-17.9 0-25.8-9.2-25.8-24.6v-65h35.7v-17.8h-35.7l-.1-38.5M155.96 165.47h21.3v-124h-21.3v124M155.96 24.37h21.3V3.07h-21.3v21.3"/></svg>

</span>
</a><a class="label-link canary-badge bg-transparent" target="_blank" href="https://next.gitlab.com"><span class="color-label has-tooltip badge badge-pill green-badge">
Next
</span>
</a></h1>
<ul class="list-unstyled navbar-sub-nav">
<li class="home"><a title="Projects" class="dashboard-shortcuts-projects" href="/explore">Projects
</a></li><li class=""><a title="Groups" class="dashboard-shortcuts-groups" href="/explore/groups">Groups
</a></li><li class=""><a title="Snippets" class="dashboard-shortcuts-snippets" href="/explore/snippets">Snippets
</a></li><li>
<a title="About GitLab CE" href="/help">Help</a>
</li>
</ul>

</div>
<div class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li class="nav-item d-none d-lg-block m-auto">
<div class="search search-form" data-track-event="activate_form_input" data-track-label="navbar_search" data-track-value="">
<form class="form-inline" action="/search" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><div class="search-input-container">
<div class="search-input-wrap">
<div class="dropdown" data-url="/search/autocomplete">
<input type="search" name="search" id="search" placeholder="Search or jump to…" class="search-input dropdown-menu-toggle no-outline js-search-dashboard-options" spellcheck="false" tabindex="1" autocomplete="off" data-issues-path="/dashboard/issues" data-mr-path="/dashboard/merge_requests" data-qa-selector="search_term_field" aria-label="Search or jump to…" />
<button class="hidden js-dropdown-search-toggle" data-toggle="dropdown" type="button"></button>
<div class="dropdown-menu dropdown-select js-dashboard-search-options">
<div class="dropdown-content"><ul>
<li class="dropdown-menu-empty-item">
<a>
Loading...
</a>
</li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>
<svg class="s16 search-icon"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#search"></use></svg>
<svg class="s16 clear-icon js-clear-input"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
</div>
</div>
</div>
<input type="hidden" name="group_id" id="group_id" class="js-search-group-options" />
<input type="hidden" name="project_id" id="search_project_id" value="13083" class="js-search-project-options" data-project-path="gitlab-foss" data-name="GitLab FOSS" data-issues-path="/gitlab-org/gitlab-foss/-/issues" data-mr-path="/gitlab-org/gitlab-foss/-/merge_requests" data-issues-disabled="false" />
<input type="hidden" name="scope" id="scope" value="issues" />
<input type="hidden" name="repository_ref" id="repository_ref" />
<input type="hidden" name="nav_source" id="nav_source" value="navbar" />
<div class="search-autocomplete-opts hide" data-autocomplete-path="/search/autocomplete" data-autocomplete-project-id="13083"></div>
</form></div>

</li>
<li class="nav-item d-inline-block d-lg-none">
<a title="Search" aria-label="Search" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/search?project_id=13083"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#search"></use></svg>
</a></li>
<li class="nav-item header-help dropdown d-none d-md-block">
<a class="header-help-dropdown-toggle" data-toggle="dropdown" href="/help"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#question"></use></svg>
<svg class="caret-down"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li>
<a href="/help">Help</a>
</li>
<li>
<a href="https://about.gitlab.com/getting-help/">Support</a>
</li>
<li>
<button class="js-shortcuts-modal-trigger" type="button">
Keyboard shortcuts
<span aria-hidden class="text-secondary float-right">?</span>
</button>
</li>

<li class="divider"></li>
<li>
<a href="https://about.gitlab.com/submit-feedback">Submit feedback</a>
</li>
<li>
<a target="_blank" class="text-nowrap" href="https://about.gitlab.com/contributing">Contribute to GitLab
</a>

</li>

</ul>

</div>
</li>
<li class="nav-item">
<div>
<a class="btn btn-sign-in" href="/users/sign_in?redirect_to_referer=yes">Sign in / Register</a>
</div>
</li>
</ul>
</div>
<button class="navbar-toggler d-block d-sm-none" type="button">
<span class="sr-only">Toggle navigation</span>
<svg class="s12 more-icon js-navbar-toggle-right"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#ellipsis_h"></use></svg>
<svg class="s12 close-icon js-navbar-toggle-left"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
</button>
</div>
</div>
</header>

<div class="layout-page page-gutter page-with-contextual-sidebar right-sidebar-expanded">
<div class="nav-sidebar">
<div class="nav-sidebar-inner-scroll">
<div class="context-header">
<a title="GitLab FOSS" href="/gitlab-org/gitlab-foss"><div class="avatar-container rect-avatar s40 project-avatar">
<img alt="GitLab FOSS" class="avatar s40 avatar-tile lazy" width="40" height="40" data-src="https://assets.gitlab-static.net/uploads/-/system/project/avatar/13083/logo-extra-whitespace.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />
</div>
<div class="sidebar-context-title">
GitLab FOSS
</div>
</a></div>
<ul class="sidebar-top-level-items qa-project-sidebar">
<li class="home"><a class="shortcuts-project rspec-project-link" data-qa-selector="project_link" href="/gitlab-org/gitlab-foss"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#home"></use></svg>
</div>
<span class="nav-item-name">
Project overview
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss"><strong class="fly-out-top-item-name">
Project overview
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Project details" class="shortcuts-project" href="/gitlab-org/gitlab-foss"><span>Details</span>
</a></li><li class=""><a title="Activity" class="shortcuts-project-activity" data-qa-selector="activity_link" href="/gitlab-org/gitlab-foss/activity"><span>Activity</span>
</a></li><li class=""><a title="Releases" class="shortcuts-project-releases" href="/gitlab-org/gitlab-foss/-/releases"><span>Releases</span>
</a></li></ul>
</li><li class=""><a class="shortcuts-tree qa-project-menu-repo" href="/gitlab-org/gitlab-foss/-/tree/master"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#doc-text"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-repo-link">
Repository
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/-/tree/master"><strong class="fly-out-top-item-name">
Repository
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a href="/gitlab-org/gitlab-foss/-/tree/master">Files
</a></li><li class=""><a id="js-onboarding-commits-link" href="/gitlab-org/gitlab-foss/-/commits/master">Commits
</a></li><li class=""><a class="qa-branches-link" id="js-onboarding-branches-link" href="/gitlab-org/gitlab-foss/-/branches">Branches
</a></li><li class=""><a href="/gitlab-org/gitlab-foss/-/tags">Tags
</a></li><li class=""><a href="/gitlab-org/gitlab-foss/-/graphs/master">Contributors
</a></li><li class=""><a href="/gitlab-org/gitlab-foss/-/network/master">Graph
</a></li><li class=""><a href="/gitlab-org/gitlab-foss/-/compare?from=master&amp;to=master">Compare
</a></li><li class=""><a data-qa-selector="path_locks_link" href="/gitlab-org/gitlab-foss/path_locks">Locked Files
</a></li>
</ul>
</li><li class="active"><a class="shortcuts-issues qa-issues-item" href="/gitlab-org/gitlab-foss/-/issues"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#issues"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-issues-link">
Issues
</span>
<span class="badge badge-pill count issue_counter">
0
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/-/issues"><strong class="fly-out-top-item-name">
Issues
</strong>
<span class="badge badge-pill count issue_counter fly-out-badge">
0
</span>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Issues" href="/gitlab-org/gitlab-foss/-/issues"><span>
List
</span>
</a></li><li class=""><a title="Boards" data-qa-selector="issue_boards_link" href="/gitlab-org/gitlab-foss/-/boards"><span>
Boards
</span>
</a></li><li class=""><a title="Labels" class="qa-labels-link" href="/gitlab-org/gitlab-foss/-/labels"><span>
Labels
</span>
</a></li><li class=""><a title="Service Desk" href="/gitlab-org/gitlab-foss/-/issues/service_desk">Service Desk
</a></li>
<li class=""><a title="Milestones" class="qa-milestones-link" href="/gitlab-org/gitlab-foss/-/milestones"><span>
Milestones
</span>
</a></li></ul>
</li><li class=""><a class="shortcuts-merge_requests" data-qa-selector="merge_requests_link" href="/gitlab-org/gitlab-foss/-/merge_requests"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#git-merge"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-mr-link">
Merge Requests
</span>
<span class="badge badge-pill count merge_counter js-merge-counter">
0
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/-/merge_requests"><strong class="fly-out-top-item-name">
Merge Requests
</strong>
<span class="badge badge-pill count merge_counter js-merge-counter fly-out-badge">
0
</span>
</a></li></ul>
</li>
<li class=""><a class="shortcuts-pipelines qa-link-pipelines rspec-link-pipelines" data-qa-selector="ci_cd_link" href="/gitlab-org/gitlab-foss/pipelines"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#rocket"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-pipelines-link">
CI / CD
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/pipelines"><strong class="fly-out-top-item-name">
CI / CD
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Pipelines" class="shortcuts-pipelines" href="/gitlab-org/gitlab-foss/pipelines"><span>
Pipelines
</span>
</a></li><li class=""><a title="Jobs" class="shortcuts-builds" href="/gitlab-org/gitlab-foss/-/jobs"><span>
Jobs
</span>
</a></li><li class=""><a title="Schedules" class="shortcuts-builds" href="/gitlab-org/gitlab-foss/pipeline_schedules"><span>
Schedules
</span>
</a></li></ul>
</li><li class=""><a data-qa-selector="dependency_list_link" href="/gitlab-org/gitlab-foss/-/dependencies"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#shield"></use></svg>
</div>
<span class="nav-item-name">
Security &amp; Compliance
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/-/dependencies"><strong class="fly-out-top-item-name">
Security &amp; Compliance
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Dependency List" data-qa-selector="dependency_list_link" href="/gitlab-org/gitlab-foss/-/dependencies"><span>Dependency List</span>
</a></li><li class=""><a title="License Compliance" data-qa-selector="licenses_list_link" href="/gitlab-org/gitlab-foss/-/licenses"><span>License Compliance</span>
</a></li></ul>
</li>
<li class=""><a data-qa-selector="packages_link" href="/gitlab-org/gitlab-foss/container_registry"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#package"></use></svg>
</div>
<span class="nav-item-name">
Packages
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/container_registry"><strong class="fly-out-top-item-name">
Packages
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a class="shortcuts-container-registry" title="Container Registry" href="/gitlab-org/gitlab-foss/container_registry"><span>Container Registry</span>
</a></li></ul>
</li>
<li class=""><a href="/gitlab-org/gitlab-foss/pipelines/charts"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#chart"></use></svg>
</div>
<span class="nav-item-name" data-qa-selector="analytics_link">
Analytics
</span>
</a><ul class="sidebar-sub-level-items" data-qa-selector="analytics_sidebar_submenu">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/pipelines/charts"><strong class="fly-out-top-item-name">
Analytics
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="CI / CD" href="/gitlab-org/gitlab-foss/pipelines/charts"><span>CI / CD</span>
</a></li><li class=""><a title="Code Review" href="/gitlab-org/gitlab-foss/-/analytics/code_reviews"><span>Code Review</span>
</a></li><li class=""><a class="shortcuts-project-insights" data-qa-selector="project_insights_link" title="Insights" href="/gitlab-org/gitlab-foss/insights/"><span>Insights</span>
</a></li><li class=""><a title="Issues" href="/gitlab-org/gitlab-foss/-/analytics/issues_analytics"><span>Issues</span>
</a></li><li class=""><a class="shortcuts-repository-charts" title="Repository" href="/gitlab-org/gitlab-foss/-/graphs/master/charts"><span>Repository</span>
</a></li><li class=""><a class="shortcuts-project-cycle-analytics" title="Value Stream" href="/gitlab-org/gitlab-foss/-/value_stream_analytics"><span>Value Stream</span>
</a></li></ul>
</li>
<li class=""><a class="shortcuts-snippets" href="/gitlab-org/gitlab-foss/snippets"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#snippet"></use></svg>
</div>
<span class="nav-item-name">
Snippets
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/snippets"><strong class="fly-out-top-item-name">
Snippets
</strong>
</a></li></ul>
</li><li class=""><a title="Members" class="shortcuts-tree" href="/gitlab-org/gitlab-foss/-/settings/members"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#users"></use></svg>
</div>
<span class="nav-item-name">
Members
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-foss/-/project_members"><strong class="fly-out-top-item-name">
Members
</strong>
</a></li></ul>
</li><a class="toggle-sidebar-button js-toggle-sidebar qa-toggle-sidebar rspec-toggle-sidebar" role="button" title="Toggle sidebar" type="button">
<svg class="icon-angle-double-left"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-double-left"></use></svg>
<svg class="icon-angle-double-right"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-double-right"></use></svg>
<span class="collapse-text">Collapse sidebar</span>
</a>
<button name="button" type="button" class="close-nav-button"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
<span class="collapse-text">Close sidebar</span>
</button>
<li class="hidden">
<a title="Activity" class="shortcuts-project-activity" href="/gitlab-org/gitlab-foss/activity"><span>
Activity
</span>
</a></li>
<li class="hidden">
<a title="Network" class="shortcuts-network" href="/gitlab-org/gitlab-foss/-/network/master">Graph
</a></li>
<li class="hidden">
<a class="shortcuts-new-issue" href="/gitlab-org/gitlab-foss/-/issues/new">Create a new issue
</a></li>
<li class="hidden">
<a title="Jobs" class="shortcuts-builds" href="/gitlab-org/gitlab-foss/-/jobs">Jobs
</a></li>
<li class="hidden">
<a title="Commits" class="shortcuts-commits" href="/gitlab-org/gitlab-foss/-/commits/master">Commits
</a></li>
<li class="hidden">
<a title="Issue Boards" class="shortcuts-issue-boards" href="/gitlab-org/gitlab-foss/-/boards">Issue Boards</a>
</li>
</ul>
</div>
</div>

<div class="content-wrapper">
<div class="mobile-overlay"></div>
<div class="alert-wrapper">









<nav class="breadcrumbs container-fluid container-limited limit-container-width" role="navigation">
<div class="breadcrumbs-container">
<button name="button" type="button" class="toggle-mobile-nav"><span class="sr-only">Open sidebar</span>
<i aria-hidden="true" data-hidden="true" class="fa fa-bars"></i>
</button><div class="breadcrumbs-links js-title-container" data-qa-selector="breadcrumb_links_content">
<ul class="list-unstyled breadcrumbs-list js-breadcrumbs-list">
<li><a class="group-path breadcrumb-item-text js-breadcrumb-item-text " href="/gitlab-org"><img class="avatar-tile lazy" width="15" height="15" data-src="https://assets.gitlab-static.net/uploads/-/system/group/avatar/9970/logo-extra-whitespace.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />GitLab.org</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li> <li><a href="/gitlab-org/gitlab-foss"><img alt="GitLab FOSS" class="avatar-tile lazy" width="15" height="15" data-src="https://assets.gitlab-static.net/uploads/-/system/project/avatar/13083/logo-extra-whitespace.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" /><span class="breadcrumb-item-text js-breadcrumb-item-text">GitLab FOSS</span></a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li>
<li><a href="/gitlab-org/gitlab-foss/-/issues">Issues</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li>

<li>
<h2 class="breadcrumbs-sub-title"><a href="/gitlab-org/gitlab-foss/-/issues/56073">#56073</a></h2>
</li>
</ul>
</div>

</div>
</nav>

<div class="d-flex"></div>
</div>
<div class="container-fluid container-limited limit-container-width">
<div class="content" id="content-body">
<div class="flash-container flash-container-page sticky">
</div>

<div class="detail-page-header">
<div class="detail-page-header-body">
<div class="issuable-status-box status-box status-box-issue-closed">
<svg class="s16 d-block d-sm-none"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#mobile-issue-close"></use></svg>
<div class="d-none d-sm-block">
Closed (<a class="text-white text-underline" href="/gitlab-org/gitlab/-/issues/26039">moved</a>)
</div>
</div>
<div class="hidden issuable-status-box status-box status-box-open">
<svg class="s16 d-block d-sm-none"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#issue-open-m"></use></svg>
<span class="d-none d-sm-block">Open</span>
</div>
<div class="issuable-meta">
<div class="issuable-warning-icon inline"><svg class="s16 icon"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#lock"></use></svg></div>
Opened <time class="js-timeago" title="Jan 8, 2019 9:02am" datetime="2019-01-08T09:02:46Z" data-toggle="tooltip" data-placement="top" data-container="body">Jan 08, 2019</time> by <strong><a class="author-link js-user-link  d-none d-sm-inline" data-user-id="2243533" data-username="jyavorska" data-name="Jason Yavorska" href="/jyavorska"><img width="24" class="avatar avatar-inline s24 lazy" alt="" data-src="/uploads/-/system/user/avatar/2243533/avatar.png?width=24" data-src="https://assets.gitlab-static.net/uploads/-/system/user/avatar/2243533/avatar.png?width=24" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" /><span class="author">Jason Yavorska</span></a><a class="author-link js-user-link  d-inline d-sm-none" data-user-id="2243533" data-username="jyavorska" data-name="Jason Yavorska" href="/jyavorska"><span class="author">@jyavorska</span></a><span class="user-status-emoji has-tooltip" title="Please @ me directly in comments so I see your message" data-html="true" data-placement="top"><gl-emoji title="e-mail symbol" data-name="e-mail" data-unicode-version="6.0">📧</gl-emoji></span></strong><span class="has-tooltip prepend-left-4" title="1st contribution!"></span><span id="task_status" class="d-none d-sm-none d-md-inline-block prepend-left-8"></span><span id="task_status_short" class="d-md-none"></span>
</div>
<a class="btn btn-default float-right d-block d-sm-none gutter-toggle issuable-gutter-toggle js-sidebar-toggle" href="#">
<i aria-hidden="true" data-hidden="true" class="fa fa-angle-double-left"></i>
</a>
</div>
<div class="detail-page-header-actions js-issuable-actions">
<div class="clearfix issue-btn-group dropdown">
<button class="btn btn-default float-left d-md-none d-lg-none d-xl-none" data-toggle="dropdown" type="button">
Options
<i aria-hidden="true" data-hidden="true" class="fa fa-caret-down"></i>
</button>
<div class="dropdown-menu dropdown-menu-right d-lg-none d-xl-none">
<ul>
<li><a href="/-/abuse_reports/new?ref_url=https%3A%2F%2Fgitlab.com%2Fgitlab-org%2Fgitlab-foss%2F-%2Fissues%2F56073&amp;user_id=2243533">Report abuse</a></li>
<li><a id="new_issue_link" href="/gitlab-org/gitlab-foss/-/issues/new">New issue</a></li>
</ul>
</div>
</div>
<a class="d-none d-sm-none d-md-block btn btn-grouped btn-close-color" title="Report abuse" href="/-/abuse_reports/new?ref_url=https%3A%2F%2Fgitlab.com%2Fgitlab-org%2Fgitlab-foss%2F-%2Fissues%2F56073&amp;user_id=2243533">Report abuse</a>

<a class="d-none d-sm-none d-md-block btn btn-grouped btn-success btn-inverted" title="New issue" id="new_issue_link" href="/gitlab-org/gitlab-foss/-/issues/new">New issue
</a></div>
</div>
<div class="issue-details issuable-details">
<div class="detail-page-description content-block">
<script id="js-issuable-app-initial-data" type="application/json">{&quot;endpoint&quot;:&quot;/gitlab-org/gitlab-foss/-/issues/56073&quot;,&quot;updateEndpoint&quot;:&quot;/gitlab-org/gitlab-foss/-/issues/56073.json&quot;,&quot;canUpdate&quot;:false,&quot;canDestroy&quot;:false,&quot;issuableRef&quot;:&quot;#56073&quot;,&quot;markdownPreviewPath&quot;:&quot;/gitlab-org/gitlab-foss/preview_markdown&quot;,&quot;markdownDocsPath&quot;:&quot;/help/user/markdown&quot;,&quot;lockVersion&quot;:1,&quot;issuableTemplateNamesPath&quot;:&quot;/gitlab-org/gitlab-foss/description_templates/names/issue&quot;,&quot;initialTitleHtml&quot;:&quot;Enable interactive web terminal for GitLab.com&quot;,&quot;initialTitleText&quot;:&quot;Enable interactive web terminal for GitLab.com&quot;,&quot;initialDescriptionHtml&quot;:&quot;\u003ch3 data-sourcepos=\&quot;1:1-1:20\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-problem-to-solve\&quot; class=\&quot;anchor\&quot; href=\&quot;#problem-to-solve\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eProblem to solve\u003c/h3\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;3:1-3:196\&quot; dir=\&quot;auto\&quot;\u003eWe have support for docker executor for \u003ca href=\&quot;https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003eweb terminals\u003c/a\u003e and we should enable it on GitLab.com since it&#39;s a core feature.\u003c/p\u003e\u0026#x000A;\u003ch3 data-sourcepos=\&quot;5:1-5:19\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-further-details\&quot; class=\&quot;anchor\&quot; href=\&quot;#further-details\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eFurther details\u003c/h3\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;7:1-7:437\&quot; dir=\&quot;auto\&quot;\u003eThis will add the ability to use interactive web terminals on .com, giving many users the ability to take advantage of this feature. We have to be careful before enabling this feature, however, since it can have an impact on production performance and security characteristics. This issue represents the due diligence from an engineering side to do this investigation and, once complete (assuming no hurdles), enable the feature on .com.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;9:1-9:530\&quot; dir=\&quot;auto\&quot;\u003eCurrently, \u003ca href=\&quot;https://docs.gitlab.com/ee/user/gitlab_com/index.html#shared-runners\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003eshared runners\u003c/a\u003e are using the docker executor, which is partially supported, there are \u003ca href=\&quot;https://gitlab.com/gitlab-org/gitlab-ee/issues/5426#note_103358228\&quot;\u003etalks\u003c/a\u003e to use kubernetes since we have better support for it. From a security perspective both. There are also plans to \u003ca href=\&quot;https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/4813\&quot; data-original=\&quot;migrate to kubernets\&quot; data-link=\&quot;true\&quot; data-link-reference=\&quot;true\&quot; data-project=\&quot;1304532\&quot; data-issue=\&quot;13604589\&quot; data-reference-type=\&quot;issue\&quot; data-container=\&quot;body\&quot; data-placement=\&quot;top\&quot; data-html=\&quot;true\&quot; title=\&quot;[meta] Deploy CI Runners infrastructure on K8S (while still use Docker Machine for autoscaling)\&quot; class=\&quot;gfm gfm-issue has-tooltip\&quot;\u003emigrate to kubernets\u003c/a\u003e for our runner managers but that will not affect the proposal below or vice versa.\u003c/p\u003e\u0026#x000A;\u003ch4 data-sourcepos=\&quot;11:1-11:14\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-resoruces\&quot; class=\&quot;anchor\&quot; href=\&quot;#resoruces\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eResoruces\u003c/h4\u003e\u0026#x000A;\u003cul data-sourcepos=\&quot;13:1-17:0\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;13:1-13:99\&quot;\u003e\u003ca href=\&quot;https://docs.gitlab.com/ee/ci/interactive_web_terminal/\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003eInteractive web terminal documentation\u003c/a\u003e\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;14:1-14:87\&quot;\u003e\u003ca href=\&quot;https://docs.gitlab.com/ee/user/project/web_ide/index.html\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003eWeb terminal for WebIDE\u003c/a\u003e\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;15:1-15:134\&quot;\u003e\u003ca href=\&quot;https://docs.gitlab.com/ee/administration/integration/terminal.html#enabling-and-disabling-terminal-support\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003eArchitecture overview\u003c/a\u003e\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;16:1-17:0\&quot;\u003e\u003ca href=\&quot;https://gitlab.com/gitlab-org/gitlab-workhorse/blob/master/doc/terminal.md\&quot;\u003eTecnical Doucmentation\u003c/a\u003e\u003c/li\u003e\u0026#x000A;\u003c/ul\u003e\u0026#x000A;\u003ch3 data-sourcepos=\&quot;18:1-18:12\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-proposal\&quot; class=\&quot;anchor\&quot; href=\&quot;#proposal\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eProposal\u003c/h3\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;20:1-20:172\&quot; dir=\&quot;auto\&quot;\u003eThis issue picks up after the \u003cspan class=\&quot;gl-label gl-label-sm\&quot;\u003e\u003ca href=\&quot;/gitlab-org/gitlab-foss/issues?label_name=backstage\&quot; data-original=\&quot;~backstage\&quot; data-link=\&quot;false\&quot; data-link-reference=\&quot;false\&quot; data-project=\&quot;13083\&quot; data-label=\&quot;3011727\&quot; data-reference-type=\&quot;label\&quot; data-container=\&quot;body\&quot; data-placement=\&quot;top\&quot; data-html=\&quot;true\&quot; title=\&quot;Issues and merge request related to improvements like refactorings, tests, maintenance etc\&quot; class=\&quot;gfm gfm-label has-tooltip gl-link gl-label-link\&quot;\u003e\u003cspan class=\&quot;gl-label-text gl-label-text-light\&quot; data-container=\&quot;body\&quot; data-html=\&quot;true\&quot; style=\&quot;background-color: #7f8c8d\&quot;\u003ebackstage\u003c/span\u003e\u003c/a\u003e\u003c/span\u003e work (steps 1-5) in \u003ca href=\&quot;https://gitlab.com/gitlab-org/gitlab-ce/issues/52611\&quot;\u003ehttps://gitlab.com/gitlab-org/gitlab-ce/issues/52611\u003c/a\u003e has been completed. Please see that issue for those steps.\u003c/p\u003e\u0026#x000A;\u003ch4 data-sourcepos=\&quot;22:1-22:70\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-6-start-using-private-runners-manager-5gitlabcom-for-ci-jobs\&quot; class=\&quot;anchor\&quot; href=\&quot;#6-start-using-private-runners-manager-5gitlabcom-for-ci-jobs\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003e6. Start using \u003ccode\u003eprivate-runners-manager-5.gitlab.com\u003c/code\u003e for CI jobs\u003c/h4\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;24:1-24:157\&quot; dir=\&quot;auto\&quot;\u003eGiven all previous steps have been successful especially step 4 \u0026amp; 5 we can start using the runner manager for running some tests. We can do this in two ways:\u003c/p\u003e\u0026#x000A;\u003col data-sourcepos=\&quot;26:1-28:0\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;26:1-26:121\&quot;\u003eSet specific jobs with the correct tags (\u003ccode\u003einteractive-web-terminal\u003c/code\u003e, \u003ccode\u003egitlab-org\u003c/code\u003e) inside of the \u003ccode\u003e.gitlab-ci.yml\u003c/code\u003e file\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;27:1-28:0\&quot;\u003eConfigure the group runner to pick up untagged jobs\u003c/li\u003e\u0026#x000A;\u003c/ol\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;29:1-29:293\&quot; dir=\&quot;auto\&quot;\u003eIt might also be ideal to do both of them, reason being the runner manager will pick up more jobs and still have predictability on which jobs we can find the interactive web terminal for \u003ca href=\&quot;https://docs.gitlab.com/ee/ci/interactive_web_terminal/#debugging-a-running-job\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003edebugging a running job\u003c/a\u003e\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;31:1-31:30\&quot; dir=\&quot;auto\&quot;\u003e\u003cstrong\u003eRequirements/Stakeholders:\u003c/strong\u003e\u003c/p\u003e\u0026#x000A;\u003cul data-sourcepos=\&quot;32:1-34:0\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;32:1-32:79\&quot;\u003e\u0026#x000A;\u003cstrong\u003eSRE/~Verify\u003c/strong\u003e GitLab.com admin to configure runner to pick up untagged jobs\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;33:1-34:0\&quot;\u003e~Verify to add the correct tags to \u003ccode\u003e.gitlab-ci.yml\u003c/code\u003e if we want specific jobs to run them\u003c/li\u003e\u0026#x000A;\u003c/ul\u003e\u0026#x000A;\u003ch4 data-sourcepos=\&quot;35:1-35:38\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-7-roll-out-other-runner-managers\&quot; class=\&quot;anchor\&quot; href=\&quot;#7-roll-out-other-runner-managers\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003e7. Roll out other runner managers\u003c/h4\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;37:1-37:239\&quot; dir=\&quot;auto\&quot;\u003eRolling this out to the other runners, following the order below. All of the steps require us to update the respective role inside of \u003ca href=\&quot;https://ops.gitlab.net/gitlab-cookbooks/chef-repo\&quot; rel=\&quot;nofollow noreferrer noopener\&quot; target=\&quot;_blank\&quot;\u003ehttps://ops.gitlab.net/gitlab-cookbooks/chef-repo\u003c/a\u003e and a period of 3-5 days each to monitor the situation.\u003c/p\u003e\u0026#x000A;\u003col data-sourcepos=\&quot;39:1-42:0\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;39:1-39:76\&quot;\u003eUpdate all the private runner manages by updating the \u003ccode\u003egitlab-runner-prm\u003c/code\u003e\u0026#x000A;\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;40:1-40:72\&quot;\u003eUpdate gitlab shared runner managers by updating \u003ccode\u003egitlab-runner-gsrm\u003c/code\u003e\u0026#x000A;\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;41:1-42:0\&quot;\u003eUpdate the final shared runner manages by updating \u003ccode\u003egitlab-runner-srm\u003c/code\u003e\u0026#x000A;\u003c/li\u003e\u0026#x000A;\u003c/ol\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;43:1-43:30\&quot; dir=\&quot;auto\&quot;\u003e\u003cstrong\u003eRequirements/Stakeholders:\u003c/strong\u003e\u003c/p\u003e\u0026#x000A;\u003cul data-sourcepos=\&quot;44:1-45:0\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;44:1-45:0\&quot;\u003e~Verify To add the necessary configuration\u003c/li\u003e\u0026#x000A;\u003c/ul\u003e\u0026#x000A;\u003ch4 data-sourcepos=\&quot;46:1-46:53\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-8-remove-private-runners-manager-5gitlabcom\&quot; class=\&quot;anchor\&quot; href=\&quot;#8-remove-private-runners-manager-5gitlabcom\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003e8. Remove \u003ccode\u003eprivate-runners-manager-5.gitlab.com\u003c/code\u003e\u0026#x000A;\u003c/h4\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;48:1-48:129\&quot; dir=\&quot;auto\&quot;\u003e\u003ccode\u003eprivate-runners-manager-5.gitlab.com\u003c/code\u003e served its purpose and can be removed since there is no benefit of having another manager.\u003c/p\u003e\u0026#x000A;\u003cp data-sourcepos=\&quot;50:1-50:30\&quot; dir=\&quot;auto\&quot;\u003e\u003cstrong\u003eRequirements/Stakeholders:\u003c/strong\u003e\u003c/p\u003e\u0026#x000A;\u003cul data-sourcepos=\&quot;51:1-52:0\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;51:1-52:0\&quot;\u003e~Verify to update chef configurtion and remove the box.\u003c/li\u003e\u0026#x000A;\u003c/ul\u003e\u0026#x000A;\u003ch3 data-sourcepos=\&quot;53:1-53:61\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003ca id=\&quot;user-content-what-does-success-look-like-and-how-can-we-measure-that\&quot; class=\&quot;anchor\&quot; href=\&quot;#what-does-success-look-like-and-how-can-we-measure-that\&quot; aria-hidden=\&quot;true\&quot;\u003e\u003c/a\u003eWhat does success look like, and how can we measure that?\u003c/h3\u003e\u0026#x000A;\u003cul data-sourcepos=\&quot;55:1-58:71\&quot; dir=\&quot;auto\&quot;\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;55:1-55:97\&quot;\u003eUsers can use the web terminal on their jobs when they are GitLab.com user and for the Web IDE.\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;56:1-56:28\&quot;\u003eEasy to maintain for SREs.\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;57:1-57:35\&quot;\u003eDoesn&#39;t affect any uptime for CI.\u003c/li\u003e\u0026#x000A;\u003cli data-sourcepos=\&quot;58:1-58:71\&quot;\u003ePerformance of each runner manager is not effected by a large amount.\u003c/li\u003e\u0026#x000A;\u003c/ul\u003e&quot;,&quot;initialDescriptionText&quot;:&quot;### Problem to solve\n\nWe have support for docker executor for [web terminals](https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav) and we should enable it on GitLab.com since it&#39;s a core feature. \n\n### Further details\n\nThis will add the ability to use interactive web terminals on .com, giving many users the ability to take advantage of this feature. We have to be careful before enabling this feature, however, since it can have an impact on production performance and security characteristics. This issue represents the due diligence from an engineering side to do this investigation and, once complete (assuming no hurdles), enable the feature on .com.\n\nCurrently, [shared runners](https://docs.gitlab.com/ee/user/gitlab_com/index.html#shared-runners) are using the docker executor, which is partially supported, there are [talks](https://gitlab.com/gitlab-org/gitlab-ee/issues/5426#note_103358228) to use kubernetes since we have better support for it. From a security perspective both. There are also plans to [migrate to kubernets](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/4813) for our runner managers but that will not affect the proposal below or vice versa.\n\n#### Resoruces\n\n- [Interactive web terminal documentation](https://docs.gitlab.com/ee/ci/interactive_web_terminal/)\n- [Web terminal for WebIDE](https://docs.gitlab.com/ee/user/project/web_ide/index.html)\n- [Architecture overview](https://docs.gitlab.com/ee/administration/integration/terminal.html#enabling-and-disabling-terminal-support)\n- [Tecnical Doucmentation](https://gitlab.com/gitlab-org/gitlab-workhorse/blob/master/doc/terminal.md)\n\n### Proposal\n\nThis issue picks up after the ~backstage work (steps 1-5) in https://gitlab.com/gitlab-org/gitlab-ce/issues/52611 has been completed. Please see that issue for those steps.\n\n#### 6. Start using `private-runners-manager-5.gitlab.com` for CI jobs\n\nGiven all previous steps have been successful especially step 4 \u0026 5 we can start using the runner manager for running some tests. We can do this in two ways:\n\n1. Set specific jobs with the correct tags (`interactive-web-terminal`, `gitlab-org`) inside of the `.gitlab-ci.yml` file\n1. Configure the group runner to pick up untagged jobs\n\nIt might also be ideal to do both of them, reason being the runner manager will pick up more jobs and still have predictability on which jobs we can find the interactive web terminal for [debugging a running job](https://docs.gitlab.com/ee/ci/interactive_web_terminal/#debugging-a-running-job)\n\n**Requirements/Stakeholders:**\n- **SRE/~Verify** GitLab.com admin to configure runner to pick up untagged jobs\n- ~Verify to add the correct tags to `.gitlab-ci.yml` if we want specific jobs to run them\n\n#### 7. Roll out other runner managers\n\nRolling this out to the other runners, following the order below. All of the steps require us to update the respective role inside of https://ops.gitlab.net/gitlab-cookbooks/chef-repo and a period of 3-5 days each to monitor the situation.\n\n1. Update all the private runner manages by updating the `gitlab-runner-prm`\n1. Update gitlab shared runner managers by updating `gitlab-runner-gsrm`\n1. Update the final shared runner manages by updating `gitlab-runner-srm`\n\n**Requirements/Stakeholders:**\n- ~Verify To add the necessary configuration\n\n#### 8. Remove `private-runners-manager-5.gitlab.com`\n\n`private-runners-manager-5.gitlab.com` served its purpose and can be removed since there is no benefit of having another manager.\n\n**Requirements/Stakeholders:**\n- ~Verify to update chef configurtion and remove the box.\n\n### What does success look like, and how can we measure that?\n\n- Users can use the web terminal on their jobs when they are GitLab.com user and for the Web IDE.\n- Easy to maintain for SREs.\n- Doesn&#39;t affect any uptime for CI.\n- Performance of each runner manager is not effected by a large amount.&quot;,&quot;initialTaskStatus&quot;:&quot;0 of 0 tasks completed&quot;,&quot;hasClosingMergeRequest&quot;:false,&quot;zoomMeetingUrl&quot;:null,&quot;sentryIssueIdentifier&quot;:null,&quot;projectPath&quot;:&quot;gitlab-foss&quot;,&quot;projectNamespace&quot;:&quot;gitlab-org&quot;,&quot;updatedAt&quot;:&quot;2019-01-08T09:03:34+00:00&quot;,&quot;updatedBy&quot;:{&quot;name&quot;:&quot;Jason Yavorska&quot;,&quot;path&quot;:&quot;/jyavorska&quot;},&quot;canAdmin&quot;:false}</script>
<div id="js-issuable-app">
<h2 class="title">Enable interactive web terminal for GitLab.com</h2>
<div class="description">
<div class="md"><h3 data-sourcepos="1:1-1:20" dir="auto">&#x000A;<a id="user-content-problem-to-solve" class="anchor" href="#problem-to-solve" aria-hidden="true"></a>Problem to solve</h3>&#x000A;<p data-sourcepos="3:1-3:196" dir="auto">We have support for docker executor for <a href="https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav" rel="nofollow noreferrer noopener" target="_blank">web terminals</a> and we should enable it on GitLab.com since it's a core feature.</p>&#x000A;<h3 data-sourcepos="5:1-5:19" dir="auto">&#x000A;<a id="user-content-further-details" class="anchor" href="#further-details" aria-hidden="true"></a>Further details</h3>&#x000A;<p data-sourcepos="7:1-7:437" dir="auto">This will add the ability to use interactive web terminals on .com, giving many users the ability to take advantage of this feature. We have to be careful before enabling this feature, however, since it can have an impact on production performance and security characteristics. This issue represents the due diligence from an engineering side to do this investigation and, once complete (assuming no hurdles), enable the feature on .com.</p>&#x000A;<p data-sourcepos="9:1-9:530" dir="auto">Currently, <a href="https://docs.gitlab.com/ee/user/gitlab_com/index.html#shared-runners" rel="nofollow noreferrer noopener" target="_blank">shared runners</a> are using the docker executor, which is partially supported, there are <a href="https://gitlab.com/gitlab-org/gitlab-ee/issues/5426#note_103358228">talks</a> to use kubernetes since we have better support for it. From a security perspective both. There are also plans to <a href="https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/4813" data-original="migrate to kubernets" data-link="true" data-link-reference="true" data-project="1304532" data-issue="13604589" data-reference-type="issue" data-container="body" data-placement="top" data-html="true" title="[meta] Deploy CI Runners infrastructure on K8S (while still use Docker Machine for autoscaling)" class="gfm gfm-issue has-tooltip">migrate to kubernets</a> for our runner managers but that will not affect the proposal below or vice versa.</p>&#x000A;<h4 data-sourcepos="11:1-11:14" dir="auto">&#x000A;<a id="user-content-resoruces" class="anchor" href="#resoruces" aria-hidden="true"></a>Resoruces</h4>&#x000A;<ul data-sourcepos="13:1-17:0" dir="auto">&#x000A;<li data-sourcepos="13:1-13:99"><a href="https://docs.gitlab.com/ee/ci/interactive_web_terminal/" rel="nofollow noreferrer noopener" target="_blank">Interactive web terminal documentation</a></li>&#x000A;<li data-sourcepos="14:1-14:87"><a href="https://docs.gitlab.com/ee/user/project/web_ide/index.html" rel="nofollow noreferrer noopener" target="_blank">Web terminal for WebIDE</a></li>&#x000A;<li data-sourcepos="15:1-15:134"><a href="https://docs.gitlab.com/ee/administration/integration/terminal.html#enabling-and-disabling-terminal-support" rel="nofollow noreferrer noopener" target="_blank">Architecture overview</a></li>&#x000A;<li data-sourcepos="16:1-17:0"><a href="https://gitlab.com/gitlab-org/gitlab-workhorse/blob/master/doc/terminal.md">Tecnical Doucmentation</a></li>&#x000A;</ul>&#x000A;<h3 data-sourcepos="18:1-18:12" dir="auto">&#x000A;<a id="user-content-proposal" class="anchor" href="#proposal" aria-hidden="true"></a>Proposal</h3>&#x000A;<p data-sourcepos="20:1-20:172" dir="auto">This issue picks up after the <span class="gl-label gl-label-sm"><a href="/gitlab-org/gitlab-foss/issues?label_name=backstage" data-original="~backstage" data-link="false" data-link-reference="false" data-project="13083" data-label="3011727" data-reference-type="label" data-container="body" data-placement="top" data-html="true" title="Issues and merge request related to improvements like refactorings, tests, maintenance etc" class="gfm gfm-label has-tooltip gl-link gl-label-link"><span class="gl-label-text gl-label-text-light" data-container="body" data-html="true" style="background-color: #7f8c8d">backstage</span></a></span> work (steps 1-5) in <a href="https://gitlab.com/gitlab-org/gitlab-ce/issues/52611">https://gitlab.com/gitlab-org/gitlab-ce/issues/52611</a> has been completed. Please see that issue for those steps.</p>&#x000A;<h4 data-sourcepos="22:1-22:70" dir="auto">&#x000A;<a id="user-content-6-start-using-private-runners-manager-5gitlabcom-for-ci-jobs" class="anchor" href="#6-start-using-private-runners-manager-5gitlabcom-for-ci-jobs" aria-hidden="true"></a>6. Start using <code>private-runners-manager-5.gitlab.com</code> for CI jobs</h4>&#x000A;<p data-sourcepos="24:1-24:157" dir="auto">Given all previous steps have been successful especially step 4 &amp; 5 we can start using the runner manager for running some tests. We can do this in two ways:</p>&#x000A;<ol data-sourcepos="26:1-28:0" dir="auto">&#x000A;<li data-sourcepos="26:1-26:121">Set specific jobs with the correct tags (<code>interactive-web-terminal</code>, <code>gitlab-org</code>) inside of the <code>.gitlab-ci.yml</code> file</li>&#x000A;<li data-sourcepos="27:1-28:0">Configure the group runner to pick up untagged jobs</li>&#x000A;</ol>&#x000A;<p data-sourcepos="29:1-29:293" dir="auto">It might also be ideal to do both of them, reason being the runner manager will pick up more jobs and still have predictability on which jobs we can find the interactive web terminal for <a href="https://docs.gitlab.com/ee/ci/interactive_web_terminal/#debugging-a-running-job" rel="nofollow noreferrer noopener" target="_blank">debugging a running job</a></p>&#x000A;<p data-sourcepos="31:1-31:30" dir="auto"><strong>Requirements/Stakeholders:</strong></p>&#x000A;<ul data-sourcepos="32:1-34:0" dir="auto">&#x000A;<li data-sourcepos="32:1-32:79">&#x000A;<strong>SRE/~Verify</strong> GitLab.com admin to configure runner to pick up untagged jobs</li>&#x000A;<li data-sourcepos="33:1-34:0">~Verify to add the correct tags to <code>.gitlab-ci.yml</code> if we want specific jobs to run them</li>&#x000A;</ul>&#x000A;<h4 data-sourcepos="35:1-35:38" dir="auto">&#x000A;<a id="user-content-7-roll-out-other-runner-managers" class="anchor" href="#7-roll-out-other-runner-managers" aria-hidden="true"></a>7. Roll out other runner managers</h4>&#x000A;<p data-sourcepos="37:1-37:239" dir="auto">Rolling this out to the other runners, following the order below. All of the steps require us to update the respective role inside of <a href="https://ops.gitlab.net/gitlab-cookbooks/chef-repo" rel="nofollow noreferrer noopener" target="_blank">https://ops.gitlab.net/gitlab-cookbooks/chef-repo</a> and a period of 3-5 days each to monitor the situation.</p>&#x000A;<ol data-sourcepos="39:1-42:0" dir="auto">&#x000A;<li data-sourcepos="39:1-39:76">Update all the private runner manages by updating the <code>gitlab-runner-prm</code>&#x000A;</li>&#x000A;<li data-sourcepos="40:1-40:72">Update gitlab shared runner managers by updating <code>gitlab-runner-gsrm</code>&#x000A;</li>&#x000A;<li data-sourcepos="41:1-42:0">Update the final shared runner manages by updating <code>gitlab-runner-srm</code>&#x000A;</li>&#x000A;</ol>&#x000A;<p data-sourcepos="43:1-43:30" dir="auto"><strong>Requirements/Stakeholders:</strong></p>&#x000A;<ul data-sourcepos="44:1-45:0" dir="auto">&#x000A;<li data-sourcepos="44:1-45:0">~Verify To add the necessary configuration</li>&#x000A;</ul>&#x000A;<h4 data-sourcepos="46:1-46:53" dir="auto">&#x000A;<a id="user-content-8-remove-private-runners-manager-5gitlabcom" class="anchor" href="#8-remove-private-runners-manager-5gitlabcom" aria-hidden="true"></a>8. Remove <code>private-runners-manager-5.gitlab.com</code>&#x000A;</h4>&#x000A;<p data-sourcepos="48:1-48:129" dir="auto"><code>private-runners-manager-5.gitlab.com</code> served its purpose and can be removed since there is no benefit of having another manager.</p>&#x000A;<p data-sourcepos="50:1-50:30" dir="auto"><strong>Requirements/Stakeholders:</strong></p>&#x000A;<ul data-sourcepos="51:1-52:0" dir="auto">&#x000A;<li data-sourcepos="51:1-52:0">~Verify to update chef configurtion and remove the box.</li>&#x000A;</ul>&#x000A;<h3 data-sourcepos="53:1-53:61" dir="auto">&#x000A;<a id="user-content-what-does-success-look-like-and-how-can-we-measure-that" class="anchor" href="#what-does-success-look-like-and-how-can-we-measure-that" aria-hidden="true"></a>What does success look like, and how can we measure that?</h3>&#x000A;<ul data-sourcepos="55:1-58:71" dir="auto">&#x000A;<li data-sourcepos="55:1-55:97">Users can use the web terminal on their jobs when they are GitLab.com user and for the Web IDE.</li>&#x000A;<li data-sourcepos="56:1-56:28">Easy to maintain for SREs.</li>&#x000A;<li data-sourcepos="57:1-57:35">Doesn't affect any uptime for CI.</li>&#x000A;<li data-sourcepos="58:1-58:71">Performance of each runner manager is not effected by a large amount.</li>&#x000A;</ul></div>
<textarea class="hidden js-task-list-field">### Problem to solve

We have support for docker executor for [web terminals](https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav) and we should enable it on GitLab.com since it&#39;s a core feature. 

### Further details

This will add the ability to use interactive web terminals on .com, giving many users the ability to take advantage of this feature. We have to be careful before enabling this feature, however, since it can have an impact on production performance and security characteristics. This issue represents the due diligence from an engineering side to do this investigation and, once complete (assuming no hurdles), enable the feature on .com.

Currently, [shared runners](https://docs.gitlab.com/ee/user/gitlab_com/index.html#shared-runners) are using the docker executor, which is partially supported, there are [talks](https://gitlab.com/gitlab-org/gitlab-ee/issues/5426#note_103358228) to use kubernetes since we have better support for it. From a security perspective both. There are also plans to [migrate to kubernets](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/4813) for our runner managers but that will not affect the proposal below or vice versa.

#### Resoruces

- [Interactive web terminal documentation](https://docs.gitlab.com/ee/ci/interactive_web_terminal/)
- [Web terminal for WebIDE](https://docs.gitlab.com/ee/user/project/web_ide/index.html)
- [Architecture overview](https://docs.gitlab.com/ee/administration/integration/terminal.html#enabling-and-disabling-terminal-support)
- [Tecnical Doucmentation](https://gitlab.com/gitlab-org/gitlab-workhorse/blob/master/doc/terminal.md)

### Proposal

This issue picks up after the ~backstage work (steps 1-5) in https://gitlab.com/gitlab-org/gitlab-ce/issues/52611 has been completed. Please see that issue for those steps.

#### 6. Start using `private-runners-manager-5.gitlab.com` for CI jobs

Given all previous steps have been successful especially step 4 &amp; 5 we can start using the runner manager for running some tests. We can do this in two ways:

1. Set specific jobs with the correct tags (`interactive-web-terminal`, `gitlab-org`) inside of the `.gitlab-ci.yml` file
1. Configure the group runner to pick up untagged jobs

It might also be ideal to do both of them, reason being the runner manager will pick up more jobs and still have predictability on which jobs we can find the interactive web terminal for [debugging a running job](https://docs.gitlab.com/ee/ci/interactive_web_terminal/#debugging-a-running-job)

**Requirements/Stakeholders:**
- **SRE/~Verify** GitLab.com admin to configure runner to pick up untagged jobs
- ~Verify to add the correct tags to `.gitlab-ci.yml` if we want specific jobs to run them

#### 7. Roll out other runner managers

Rolling this out to the other runners, following the order below. All of the steps require us to update the respective role inside of https://ops.gitlab.net/gitlab-cookbooks/chef-repo and a period of 3-5 days each to monitor the situation.

1. Update all the private runner manages by updating the `gitlab-runner-prm`
1. Update gitlab shared runner managers by updating `gitlab-runner-gsrm`
1. Update the final shared runner manages by updating `gitlab-runner-srm`

**Requirements/Stakeholders:**
- ~Verify To add the necessary configuration

#### 8. Remove `private-runners-manager-5.gitlab.com`

`private-runners-manager-5.gitlab.com` served its purpose and can be removed since there is no benefit of having another manager.

**Requirements/Stakeholders:**
- ~Verify to update chef configurtion and remove the box.

### What does success look like, and how can we measure that?

- Users can use the web terminal on their jobs when they are GitLab.com user and for the Web IDE.
- Easy to maintain for SREs.
- Doesn&#39;t affect any uptime for CI.
- Performance of each runner manager is not effected by a large amount.</textarea>
</div>
<small class="edited-text"><span>Edited </span><time class="js-timeago issue-edited-ago js-issue-edited-ago" title="Jan 8, 2019 9:03am" datetime="2019-01-08T09:03:34Z" data-toggle="tooltip" data-placement="bottom" data-container="body">Jan 08, 2019</time><span> by </span><a class="author-link js-user-link  " data-user-id="2243533" data-username="jyavorska" data-name="Jason Yavorska" href="/jyavorska"><span class="">Jason Yavorska</span></a></small>
</div>
<div class="js-related-issues-root" data-can-add-related-issues="false" data-endpoint="/gitlab-org/gitlab-foss/-/issues/56073/links" data-help-path="/help/user/project/issues/related_issues">
<div class="related-issues-block">
<div class="card card-slim">
<div class="card-header panel-empty-heading border-bottom-0">
<h3 class="card-title mt-0 mb-0 h5">
Linked issues
</h3>
</div>
</div>
</div>
</div>

<div data-endpoint="/api/v4/projects/13083/issues/56073/related_merge_requests" data-project-namespace="gitlab-org" data-project-path="gitlab-foss" id="js-related-merge-requests"></div>
<div data-url="/gitlab-org/gitlab-foss/-/issues/56073/related_branches" id="related-branches">
</div>
</div>
<div class="content-block emoji-block emoji-block-sticky">
<div class="row">
<div class="col-md-12 col-lg-6 js-noteable-awards">
<div class="awards js-awards-block" data-award-url="/gitlab-org/gitlab-foss/-/issues/56073/toggle_award_emoji">
<button class="award-control btn disabled has-tooltip js-emoji-btn" data-title="Kai, Tomas Gorkin, and Joshua Shubert" type="button">
<gl-emoji title="thumbs up sign" data-name="thumbsup" data-unicode-version="6.0">👍</gl-emoji>
<span class="award-control-text js-counter">
3
</span>
</button>
<button class="award-control btn disabled has-tooltip js-emoji-btn" data-title="" type="button">
<gl-emoji title="thumbs down sign" data-name="thumbsdown" data-unicode-version="6.0">👎</gl-emoji>
<span class="award-control-text js-counter">
0
</span>
</button>

</div>

</div>
<div class="col-md-12 col-lg-6 new-branch-col">
<div data-notes-filters="{&quot;Show all activity&quot;:0,&quot;Show comments only&quot;:1,&quot;Show history only&quot;:2}" id="js-vue-discussion-filter"></div>

</div>
</div>
</div>
<ul class="nav-tabs nav nav-links" role="tablist">
<li>
<a class="active js-issue-tabs" id="discussion" role="tab" aria-controls="js-discussion" aria-selected="true" data-toggle="tab" data-target="#discussion-tab" href="#discussion-tab">Discussion
<span class="badge badge-pill js-discussions-count"></span>
</a></li>
<li>
<a class="js-issue-tabs" id="designs" role="tab" aria-controls="js-designs" aria-selected="false" data-toggle="tab" data-target="#designs-tab" data-qa-selector="designs_tab_link" href="#designs-tab">Designs
<span class="badge badge-pill js-designs-count"></span>
</a></li>
</ul>
<div class="tab-content">
<div aria-labelledby="discussion" class="tab-pane show active" id="discussion-tab" role="tabpanel">
<section class="issuable-discussion js-vue-notes-event">
<div data-current-user-data="null" data-noteable-data="{&quot;id&quot;:17159013,&quot;iid&quot;:56073,&quot;description&quot;:&quot;### Problem to solve\n\nWe have support for docker executor for [web terminals](https://docs.gitlab.com/ee/ci/interactive_web_terminal/index.html#doc-nav) and we should enable it on GitLab.com since it&#39;s a core feature. \n\n### Further details\n\nThis will add the ability to use interactive web terminals on .com, giving many users the ability to take advantage of this feature. We have to be careful before enabling this feature, however, since it can have an impact on production performance and security characteristics. This issue represents the due diligence from an engineering side to do this investigation and, once complete (assuming no hurdles), enable the feature on .com.\n\nCurrently, [shared runners](https://docs.gitlab.com/ee/user/gitlab_com/index.html#shared-runners) are using the docker executor, which is partially supported, there are [talks](https://gitlab.com/gitlab-org/gitlab-ee/issues/5426#note_103358228) to use kubernetes since we have better support for it. From a security perspective both. There are also plans to [migrate to kubernets](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/4813) for our runner managers but that will not affect the proposal below or vice versa.\n\n#### Resoruces\n\n- [Interactive web terminal documentation](https://docs.gitlab.com/ee/ci/interactive_web_terminal/)\n- [Web terminal for WebIDE](https://docs.gitlab.com/ee/user/project/web_ide/index.html)\n- [Architecture overview](https://docs.gitlab.com/ee/administration/integration/terminal.html#enabling-and-disabling-terminal-support)\n- [Tecnical Doucmentation](https://gitlab.com/gitlab-org/gitlab-workhorse/blob/master/doc/terminal.md)\n\n### Proposal\n\nThis issue picks up after the ~backstage work (steps 1-5) in https://gitlab.com/gitlab-org/gitlab-ce/issues/52611 has been completed. Please see that issue for those steps.\n\n#### 6. Start using `private-runners-manager-5.gitlab.com` for CI jobs\n\nGiven all previous steps have been successful especially step 4 \u0026 5 we can start using the runner manager for running some tests. We can do this in two ways:\n\n1. Set specific jobs with the correct tags (`interactive-web-terminal`, `gitlab-org`) inside of the `.gitlab-ci.yml` file\n1. Configure the group runner to pick up untagged jobs\n\nIt might also be ideal to do both of them, reason being the runner manager will pick up more jobs and still have predictability on which jobs we can find the interactive web terminal for [debugging a running job](https://docs.gitlab.com/ee/ci/interactive_web_terminal/#debugging-a-running-job)\n\n**Requirements/Stakeholders:**\n- **SRE/~Verify** GitLab.com admin to configure runner to pick up untagged jobs\n- ~Verify to add the correct tags to `.gitlab-ci.yml` if we want specific jobs to run them\n\n#### 7. Roll out other runner managers\n\nRolling this out to the other runners, following the order below. All of the steps require us to update the respective role inside of https://ops.gitlab.net/gitlab-cookbooks/chef-repo and a period of 3-5 days each to monitor the situation.\n\n1. Update all the private runner manages by updating the `gitlab-runner-prm`\n1. Update gitlab shared runner managers by updating `gitlab-runner-gsrm`\n1. Update the final shared runner manages by updating `gitlab-runner-srm`\n\n**Requirements/Stakeholders:**\n- ~Verify To add the necessary configuration\n\n#### 8. Remove `private-runners-manager-5.gitlab.com`\n\n`private-runners-manager-5.gitlab.com` served its purpose and can be removed since there is no benefit of having another manager.\n\n**Requirements/Stakeholders:**\n- ~Verify to update chef configurtion and remove the box.\n\n### What does success look like, and how can we measure that?\n\n- Users can use the web terminal on their jobs when they are GitLab.com user and for the Web IDE.\n- Easy to maintain for SREs.\n- Doesn&#39;t affect any uptime for CI.\n- Performance of each runner manager is not effected by a large amount.&quot;,&quot;title&quot;:&quot;Enable interactive web terminal for GitLab.com&quot;,&quot;time_estimate&quot;:0,&quot;total_time_spent&quot;:0,&quot;human_time_estimate&quot;:null,&quot;human_total_time_spent&quot;:null,&quot;weight&quot;:null,&quot;state&quot;:&quot;closed&quot;,&quot;milestone_id&quot;:null,&quot;updated_by_id&quot;:1786152,&quot;created_at&quot;:&quot;2019-01-08T09:02:46.083Z&quot;,&quot;updated_at&quot;:&quot;2019-09-11T13:16:30.688Z&quot;,&quot;milestone&quot;:null,&quot;labels&quot;:[],&quot;lock_version&quot;:1,&quot;author_id&quot;:2243533,&quot;confidential&quot;:false,&quot;discussion_locked&quot;:true,&quot;assignees&quot;:[],&quot;due_date&quot;:null,&quot;project_id&quot;:13083,&quot;moved_to_id&quot;:24687299,&quot;duplicated_to_id&quot;:null,&quot;web_url&quot;:&quot;/gitlab-org/gitlab-foss/-/issues/56073&quot;,&quot;current_user&quot;:{&quot;can_create_note&quot;:false,&quot;can_update&quot;:false,&quot;can_award_emoji&quot;:false},&quot;create_note_path&quot;:&quot;/gitlab-org/gitlab-foss/notes?target_id=17159013\u0026target_type=issue&quot;,&quot;preview_note_path&quot;:&quot;/gitlab-org/gitlab-foss/preview_markdown?target_id=56073\u0026target_type=Issue&quot;,&quot;locked_discussion_docs_path&quot;:&quot;/help/user/discussions/index.md#lock-discussions&quot;,&quot;is_project_archived&quot;:false}" data-noteable-type="Issue" data-notes-data="{&quot;discussionsPath&quot;:&quot;/gitlab-org/gitlab-foss/-/issues/56073/discussions.json&quot;,&quot;registerPath&quot;:&quot;/users/sign_in?redirect_to_referer=yes#register-pane&quot;,&quot;newSessionPath&quot;:&quot;/users/sign_in?redirect_to_referer=yes&quot;,&quot;markdownDocsPath&quot;:&quot;/help/user/markdown&quot;,&quot;quickActionsDocsPath&quot;:&quot;/help/user/project/quick_actions&quot;,&quot;closePath&quot;:&quot;/gitlab-org/gitlab-foss/-/issues/56073.json?issue%5Bstate_event%5D=close&quot;,&quot;reopenPath&quot;:&quot;/gitlab-org/gitlab-foss/-/issues/56073.json?issue%5Bstate_event%5D=reopen&quot;,&quot;notesPath&quot;:&quot;/gitlab-org/gitlab-foss/noteable/issue/17159013/notes&quot;,&quot;prerenderedNotesCount&quot;:10,&quot;lastFetchedAt&quot;:1586062088}" data-target-type="issue" id="js-vue-notes"></div>
</section>

</div>
<div aria-labelledby="designs" class="tab-pane" data-qa-selector="designs_tab_content" id="designs-tab" role="tabpanel">
<div data-issue-iid="56073" data-issue-path="/gitlab-org/gitlab-foss/-/issues/56073" data-project-path="gitlab-org/gitlab-foss" id="js-design-management"></div>
</div>
</div>

</div>
<aside aria-live="polite" class="js-issuable-sidebar js-right-sidebar right-sidebar right-sidebar-expanded">
<div class="issuable-sidebar">
<div class="block issuable-sidebar-header">
<a aria-label="Toggle sidebar" class="gutter-toggle float-right js-sidebar-toggle has-tooltip" data-boundary="viewport" data-container="body" data-placement="left" href="#" role="button" title="Collapse sidebar">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-angle-double-right"></i>
</a>
</div>
<form class="issuable-context-form inline-update js-issuable-update" action="/gitlab-org/gitlab-foss/-/issues/56073.json" accept-charset="UTF-8" data-remote="true" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><div class="block assignee qa-assignee-block">
<div data-field="issue" id="js-vue-sidebar-assignees">
<div class="title hide-collapsed">
Assignee
<div class="spinner spinner-sm align-bottom"></div>
</div>
</div>
<div class="selectbox hide-collapsed">
<input type="hidden" name="issue[assignee_ids][]" value="0" />
<div class="dropdown "><button class="dropdown-menu-toggle js-user-search js-author-search js-multiselect js-save-user-data" type="button" data-current-user="true" data-iid="56073" data-issuable-type="issue" data-project-id="13083" data-author-id="2243533" data-field-name="issue[assignee_ids][]" data-issue-update="/gitlab-org/gitlab-foss/-/issues/56073.json" data-ability-name="issue" data-null-user="true" data-display="static" data-multi-select="true" data-dropdown-title="Select assignee(s)" data-dropdown-header="Assignee(s)" data-toggle="dropdown"><span class="dropdown-toggle-text ">Select assignee(s)</span><i aria-hidden="true" data-hidden="true" class="fa fa-chevron-down"></i></button><div class="dropdown-menu dropdown-select dropdown-menu-user dropdown-menu-selectable dropdown-menu-author"><div class="dropdown-title"><span>Assign to</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div><div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search users" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div><div class="dropdown-content "></div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div></div></div>
</div>

</div>
<div data-can-edit="false" data-group-id="9970" data-issue-id="17159013" id="js-vue-sidebar-item-epics-select"></div>

<div class="block milestone" data-qa-selector="milestone_block">
<div class="sidebar-collapsed-icon has-tooltip" data-boundary="viewport" data-container="body" data-html="true" data-placement="left" title="Milestone">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-clock-o"></i>
<span class="milestone-title collapse-truncated-title">
None
</span>
</div>
<div class="title hide-collapsed">
Milestone
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin hidden block-loading"></i>
</div>
<div class="value hide-collapsed">
<span class="no-value">
None
</span>
</div>
<div class="selectbox hide-collapsed">
<input type="hidden" name="issue[milestone_id]" />
<div class="dropdown "><button class="dropdown-menu-toggle js-milestone-select js-extra-options" type="button" data-show-no="true" data-field-name="issue[milestone_id]" data-project-id="13083" data-issuable-id="17159013" data-milestones="/gitlab-org/gitlab-foss/-/milestones.json" data-ability-name="issue" data-issue-update="/gitlab-org/gitlab-foss/-/issues/56073.json" data-use-id="true" data-default-no="true" data-null-default="true" data-display="static" data-toggle="dropdown"><span class="dropdown-toggle-text ">Milestone</span><i aria-hidden="true" data-hidden="true" class="fa fa-chevron-down"></i></button><div class="dropdown-menu dropdown-select dropdown-menu-selectable"><div class="dropdown-title"><span>Assign milestone</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div><div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search milestones" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div><div class="dropdown-content "></div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div></div></div>
</div>
</div>
<div class="block" id="issuable-time-tracker">
<!-- / Fallback while content is loading -->
<div class="title hide-collapsed">
Time tracking
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin"></i>
</div>
</div>
<div class="block due_date">
<div class="sidebar-collapsed-icon has-tooltip" data-boundary="viewport" data-container="body" data-html="true" data-placement="left" title="Due date">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-calendar"></i>
<span class="js-due-date-sidebar-value">
None
</span>
</div>
<div class="title hide-collapsed">
Due date
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin hidden block-loading"></i>
</div>
<div class="value hide-collapsed">
<span class="value-content">
<span class="no-value">
None
</span>
</span>
</div>
</div>
<div class="block labels">
<div class="sidebar-collapsed-icon js-sidebar-labels-tooltip" data-boundary="viewport" data-container="body" data-placement="left" title="Labels">
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-tags"></i>
<span>
0
</span>
</div>
<div class="title hide-collapsed">
Labels
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-spinner fa-spin hidden block-loading"></i>
</div>
<div class="dont-hide hide-collapsed issuable-show-labels value" data-qa-selector="labels_block">
<span class="no-value">
None
</span>
</div>
<div class="selectbox hide-collapsed">
<div class="dropdown">
<button class="dropdown-menu-toggle js-label-select js-multiselect js-label-sidebar-dropdown" data-ability-name="issue" data-default-label="Labels" data-display="static" data-field-name="issue[label_names][]" data-issue-update="/gitlab-org/gitlab-foss/-/issues/56073.json" data-labels="/gitlab-org/gitlab-foss/-/labels.json?include_ancestor_groups=true" data-namespace-path="gitlab-org" data-project-path="gitlab-foss" data-scoped-labels="true" data-scoped-labels-documentation-link="/help/user/project/labels.md#scoped-labels-premium" data-show-any="true" data-show-no="true" data-toggle="dropdown" type="button">
<span class="dropdown-toggle-text is-default">
Labels
</span>
<i aria-hidden="true" data-hidden="true" aria-hidden="true" class="fa fa-chevron-down"></i>
</button>
<div class="dropdown-menu dropdown-select dropdown-menu-paging qa-dropdown-menu-labels dropdown-menu-labels dropdown-menu-selectable dropdown-extended-height">
<div class="dropdown-page-one">
<div class="dropdown-title"><span>Assign labels</span><button class="dropdown-title-button dropdown-menu-close" aria-label="Close" type="button"><i aria-hidden="true" data-hidden="true" class="fa fa-times dropdown-menu-close-icon"></i></button></div>
<div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div>
<div class="dropdown-content"></div>
<div class="dropdown-footer"><ul class="dropdown-footer-list">
<li>
<a data-is-link="true" href="/gitlab-org/gitlab-foss/-/labels">View project labels
</a></li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>

</div>
</div>
</div>
</div>
<div class="js-sidebar-weight-entry-point"></div>

<div class="js-sidebar-status-entry-point"></div>
<script id="js-confidential-issue-data" type="application/json">{"is_confidential":false,"is_editable":null}</script>
<div id="js-confidential-entry-point"></div>
<script id="js-lock-issue-data" type="application/json">{"is_locked":true,"is_editable":null}</script>
<div id="js-lock-entry-point"></div>
<div class="js-sidebar-participants-entry-point"></div>
<div class="block project-reference">
<div class="sidebar-collapsed-icon dont-change-state">
<button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="left" data-container="body" data-title="Copy reference" data-boundary="viewport" data-clipboard-text="gitlab-org/gitlab-foss#56073" type="button" title="Copy reference" aria-label="Copy reference"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#copy-to-clipboard"></use></svg></button>
</div>
<div class="cross-project-reference hide-collapsed">
<span>
Reference:
<cite title="gitlab-org/gitlab-foss#56073">
gitlab-org/gitlab-foss#56073
</cite>
</span>
<button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="left" data-container="body" data-title="Copy reference" data-boundary="viewport" data-clipboard-text="gitlab-org/gitlab-foss#56073" type="button" title="Copy reference" aria-label="Copy reference"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#copy-to-clipboard"></use></svg></button>
</div>
</div>
</form><script class="js-sidebar-options" type="application/json">{"endpoint":"/gitlab-org/gitlab-foss/-/issues/56073.json?serializer=sidebar_extras","toggleSubscriptionEndpoint":"/gitlab-org/gitlab-foss/-/issues/56073/toggle_subscription","moveIssueEndpoint":"/gitlab-org/gitlab-foss/-/issues/56073/move","projectsAutocompleteEndpoint":"/autocomplete/projects?project_id=13083","editable":null,"currentUser":null,"rootPath":"/","fullPath":"gitlab-org/gitlab-foss","iid":56073,"timeTrackingLimitToHours":false,"weightOptions":["None",0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"weightNoneValue":"None"}</script>
</div>
</aside>


</div>
</div>
</div>
</div>




</body>
</html>

